Bug 475074

Summary: After update at 7-dec-2008 packagekit shows error (failed to get a TID)
Product: [Fedora] Fedora Reporter: Juan Antonio Martinez <jonsito>
Component: PackageKitAssignee: Richard Hughes <richard>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: urgent Docs Contact:
Priority: low    
Version: 10CC: alexl, arechenberg, bdm, bradbn4, chkr, cross, edgar.hoch, fedorabugs, filbar, gseanmcg, hedayaty, h.pillay, ian, jarosser06, john.mellor, john, jwarren529, kevin.t.bowen, linuxerianer, lmacken, mail2benny, marcobillpeter, marek78uk, martin.marques, maysl, michelduquaine, mustafamehmed, n2kbd, noglin, orion, pelle2004, pmd.lotr.gandalf, posguy99, proestosy, rc040203, redhat-bugzilla, red, remm, rhomp2002, rhughes, richard, robin.norwood, r_runner, scott.m.mcdermott, tellis, tuxbrewr, volans2000, webmaster, wtogami, zero456
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-12-08 08:07:57 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Juan Antonio Martinez 2008-12-07 08:20:37 EST
Description of problem:
I've just updated my Fedora 10. at 7-Dec-2008. After rebooting,
launch packagekit an when trying to retrieve packages this error is shown:

--------------------------------------------------------------------------
failed to get a TID: A security policy in place prevents this sender from sending this message to this recipient, see message bus configuration file (rejected message had interface "org.freedesktop.PackageKit.Transaction" member "SetLocale" error name "(unset)" destination "org.freedesktop.PackageKit") (0)
-----------------------------------------------------------------------------

Version-Release number of selected component (if applicable):
PackageKit-0.3.9-4.fc10.i386

How reproducible:
Not allways: I'm replacing two Fedora machines at same time, 
failed one has a PAE i686 kernel (Core 2 Duo)
running one has a normal one (Pentium Celeron)

Steps to Reproduce:
1. update packages from repositories
2. reinit computer
3. launch system->administration->add/remove software
4. try to get a list of packages

Actual results:
above error is shown

Expected results:
list of matching packages 

Additional info:
also reported at:
http://forums.fedoraforum.org/showthread.php?t=206797
I've also tried a rm /var/lib/rpm/__db* && rpm --rebuild. No changes
Seems like a dbus error that only affect PAE installations
Working machine:
Linux tux.micasa.es 2.6.27.5-117.fc10.i686 #1 SMP Tue Nov 18 12:19:59 EST 2008 i686 i686 i386 GNU/Linux
Failed one:
Linux drake.micasa.es 2.6.27.5-117.fc10.i686.PAE #1 SMP Tue Nov 18 12:08:10 EST 2008 i686 i686 i386 GNU/Linux
Comment 1 Juan Antonio Martinez 2008-12-07 08:21:28 EST
other update tools (yumex, yum) seems to work fine
Comment 2 Richard Hughes 2008-12-07 12:32:22 EST
Can you try this please: http://koji.fedoraproject.org/koji/taskinfo?taskID=985518
Comment 3 Fedora Update System 2008-12-07 13:02:59 EST
PackageKit-0.3.11-4.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/PackageKit-0.3.11-4.fc10
Comment 4 Roman 2008-12-07 13:40:34 EST
Hello Richard,

the new provided packages work for me. I installed them manually:

sudo rpm -Uvh PackageKit-glib-0.3.11-4.fc10.i386.rpm PackageKit-udev-helper-0.3.11-4.fc10.i386.rpm PackageKit-0.3.11-4.fc10.i386.rpm PackageKit-yum-0.3.11-4.fc10.i386.rpm PackageKit-yum-plugin-0.3.11-4.fc10.i386.rpm PackageKit-gstreamer-plugin-0.3.11-4.fc10.i386.rpm gnome-packagekit-0.3.11-3.fc10.i386.rpm

Only to touch it: I had to search for the latest version of the gnome-packagekit package to keep the package dependencies clean.

Thanks,
Roman
Comment 5 Hesham Kamar 2008-12-07 14:02:21 EST
(In reply to comment #4)
> Hello Richard,
> 
> the new provided packages work for me. I installed them manually:
> 
> sudo rpm -Uvh PackageKit-glib-0.3.11-4.fc10.i386.rpm
> PackageKit-udev-helper-0.3.11-4.fc10.i386.rpm PackageKit-0.3.11-4.fc10.i386.rpm
> PackageKit-yum-0.3.11-4.fc10.i386.rpm
> PackageKit-yum-plugin-0.3.11-4.fc10.i386.rpm
> PackageKit-gstreamer-plugin-0.3.11-4.fc10.i386.rpm
> gnome-packagekit-0.3.11-3.fc10.i386.rpm
> 
> Only to touch it: I had to search for the latest version of the
> gnome-packagekit package to keep the package dependencies clean.
> 
> Thanks,
> Roman

error: open of gnome-packagekit-0.3.11-3.fc10.i386.rpm failed: No such file or directory
Comment 6 John Mellor 2008-12-07 14:11:29 EST
Since all Fedora updates can now not be applied without walking through a convoluted mess, presumably the front page of the Fedora website should be updated to show people how to get this updates going again.  This should be a critical and manual-overide update because of this, not a low-priority item.
Comment 7 Hesham Kamar 2008-12-07 14:21:14 EST
well I'm a lucky beginner that reached here, but still cannot do the update. Hopefully they will not post same hard ways in the front page.
can anybody tell me (simply) how to fix that???
Comment 8 John Mellor 2008-12-07 14:30:53 EST
Latest Packagekit from Testing repo does NOT resolve the problem in F9.

Resolving Dependencies
--> Running transaction check
---> Package PackageKit.i386 0:0.3.10-2.fc9 set to be updated
--> Processing Dependency: PackageKit-yum = 0.3.10-2.fc9 for package: PackageKit
--> Processing Dependency: PackageKit-udev-helper = 0.3.10-2.fc9 for package: PackageKit
--> Processing Dependency: PackageKit-yum-plugin = 0.3.10-2.fc9 for package: PackageKit
--> Processing Dependency: PackageKit-glib = 0.3.10-2.fc9 for package: PackageKit
--> Processing Dependency: python-sqlite2 for package: PackageKit
--> Processing Dependency: libpackagekit-glib.so.10 for package: PackageKit
---> Package gnome-packagekit.i386 0:0.3.10-2.fc9 set to be updated
--> Running transaction check
---> Package PackageKit-yum.i386 0:0.3.10-2.fc9 set to be updated
---> Package PackageKit-yum-plugin.i386 0:0.3.10-2.fc9 set to be updated
---> Package PackageKit-udev-helper.i386 0:0.3.10-2.fc9 set to be updated
---> Package PackageKit-glib.i386 0:0.3.10-2.fc9 set to be updated
---> Package python-sqlite2.i386 1:2.3.3-3.fc9 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package                  Arch   Version         Repository               Size 
================================================================================
Installing:
 PackageKit-glib          i386   0.3.10-2.fc9    updates-testing-newkey   114 k
     replacing  PackageKit-libs.i386 0.2.5-1.fc9

 PackageKit-yum-plugin    i386   0.3.10-2.fc9    updates-testing-newkey    48 k
     replacing  yum-packagekit.i386 0.2.5-1.fc9

Updating:
 PackageKit               i386   0.3.10-2.fc9    updates-testing-newkey   334 k
 gnome-packagekit         i386   0.3.10-2.fc9    updates-testing-newkey   5.3 M
Installing for dependencies:
 PackageKit-udev-helper   i386   0.3.10-2.fc9    updates-testing-newkey    47 k
 PackageKit-yum           i386   0.3.10-2.fc9    updates-testing-newkey   103 k
 python-sqlite2           i386   1:2.3.3-3.fc9   fedora                    82 k

Transaction Summary
================================================================================
Install      5 Package(s)         
Update       2 Package(s)         
Remove       0 Package(s)         

Total download size: 6.1 M
Is this ok [y/N]: y
Downloading Packages:
(1/7): PackageKit-udev-helper-0.3.10-2.fc9.i386.rpm      |  47 kB     00:00     
(2/7): PackageKit-yum-plugin-0.3.10-2.fc9.i386.rpm       |  48 kB     00:00     
(3/7): python-sqlite2-2.3.3-3.fc9.i386.rpm               |  82 kB     00:00     
(4/7): PackageKit-yum-0.3.10-2.fc9.i386.rpm              | 103 kB     00:00     
(5/7): PackageKit-glib-0.3.10-2.fc9.i386.rpm             | 114 kB     00:00     
(6/7): PackageKit-0.3.10-2.fc9.i386.rpm                  | 334 kB     00:00     
(7/7): gnome-packagekit-0.3.10-2.fc9.i386.rpm            | 5.3 MB     00:07     
--------------------------------------------------------------------------------
Total                                           538 kB/s | 6.1 MB     00:11     
warning: rpmts_HdrFromFdno: Header V3 DSA signature: NOKEY, key ID df9b0ae9
Importing GPG key 0xDF9B0AE9 "Fedora (8 and 9 testing) <fedora@fedoraproject.org>" from /etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-test-8-and-9-i386
Is this ok [y/N]: y
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing     : python-sqlite2                                  [ 1/11] 
  Installing     : PackageKit-yum                                  [ 2/11] 
  Installing     : PackageKit-glib                                 [ 3/11] 
  Installing     : PackageKit-udev-helper                          [ 4/11] 
  Updating       : PackageKit                                      [ 5/11] 
  Installing     : PackageKit-yum-plugin                           [ 6/11] 
  Updating       : gnome-packagekit                                [ 7/11] 
  Cleanup        : PackageKit                                      [ 8/11] 
  Erasing        : yum-packagekit                                  [ 9/11] 
  Cleanup        : gnome-packagekit                                [10/11] 
  Erasing        : PackageKit-libs                                 [11/11] 
ERROR:dbus.proxies:Introspect error on :1.24:/org/freedesktop/PackageKit: dbus.exceptions.DBusException: org.freedesktop.DBus.Error.AccessDenied: A security policy in place prevents this sender from sending this message to this recipient, see message bus configuration file (rejected message had interface "org.freedesktop.DBus.Introspectable" member "Introspect" error name "(unset)" destination ":1.24")
Comment 9 Julian Sikorski 2008-12-07 14:34:14 EST
Isn't it a duplicate of bug #475068?
Comment 10 John Mellor 2008-12-07 14:58:22 EST
Bug 475102 created to track the same issue in F9
Comment 11 Roman 2008-12-07 15:03:00 EST
(In reply to comment #5)
> (In reply to comment #4)
> > Hello Richard,
> > 
> > the new provided packages work for me. I installed them manually:
> > 
> > sudo rpm -Uvh PackageKit-glib-0.3.11-4.fc10.i386.rpm
> > PackageKit-udev-helper-0.3.11-4.fc10.i386.rpm PackageKit-0.3.11-4.fc10.i386.rpm
> > PackageKit-yum-0.3.11-4.fc10.i386.rpm
> > PackageKit-yum-plugin-0.3.11-4.fc10.i386.rpm
> > PackageKit-gstreamer-plugin-0.3.11-4.fc10.i386.rpm
> > gnome-packagekit-0.3.11-3.fc10.i386.rpm
> > 
> > Only to touch it: I had to search for the latest version of the
> > gnome-packagekit package to keep the package dependencies clean.
> > 
> > Thanks,
> > Roman
> 
> error: open of gnome-packagekit-0.3.11-3.fc10.i386.rpm failed: No such file or
> directory

The package you are missing can be found here:
http://koji.fedoraproject.org/koji/buildinfo?buildID=72465

Roman
Comment 12 Colin Walters 2008-12-07 19:24:49 EST
*** Bug 475068 has been marked as a duplicate of this bug. ***
Comment 13 Tomas Hoger 2008-12-08 03:04:16 EST
Upstream bug with workaround:
  https://bugs.freedesktop.org/show_bug.cgi?id=18931
Comment 14 Richard Hughes 2008-12-08 04:51:11 EST
*** Bug 475057 has been marked as a duplicate of this bug. ***
Comment 15 Richard Hughes 2008-12-08 06:10:58 EST
*** Bug 475172 has been marked as a duplicate of this bug. ***
Comment 16 Richard Hughes 2008-12-08 06:23:50 EST
*** Bug 475176 has been marked as a duplicate of this bug. ***
Comment 17 Ignacio Vazquez-Abrams 2008-12-08 07:48:02 EST
*** Bug 475186 has been marked as a duplicate of this bug. ***
Comment 18 Fedora Update System 2008-12-08 08:07:41 EST
PackageKit-0.3.11-4.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 markm 2008-12-08 08:29:35 EST
after installing PackageKit update from koji I can get updates and add / remove software working, but when I try to run system-config-services as user, I get this:

[marek@m4300 Desktop]$ system-config-services 
ERROR:dbus.proxies:Introspect error on :1.114:/org/fedoraproject/Config/Services/ServiceHerders/SysVServiceHerder: dbus.exceptions.DBusException: org.freedesktop.DBus.Error.AccessDenied: A security policy in place prevents this sender from sending this message to this recipient, see message bus configuration file (rejected message had interface "org.freedesktop.DBus.Introspectable" member "Introspect" error name "(unset)" destination ":1.114")
Traceback (most recent call last):
  File "/usr/bin/system-config-services", line 945, in <module>
    GUI (use_dbus = use_dbus).run ()
  File "/usr/bin/system-config-services", line 900, in __init__
    self.serviceherders.append (cls (bus = self._bus))
  File "/usr/lib/python2.5/site-packages/scservices/dbus/proxy/serviceherders.py", line 53, in __init__
    for service_name in self.list_services ():
  File "/usr/lib/python2.5/site-packages/slip/dbus/polkit.py", line 48, in enable_proxy_wrapper
    return func (*p, **k)
  File "/usr/lib/python2.5/site-packages/scservices/dbus/proxy/serviceherders.py", line 66, in list_services
    return self.dbus_object.list_services (dbus_interface = "org.fedoraproject.Config.Services.ServiceHerder")
  File "/usr/lib/python2.5/site-packages/dbus/proxies.py", line 68, in __call__
    return self._proxy_method(*args, **keywords)
  File "/usr/lib/python2.5/site-packages/dbus/proxies.py", line 140, in __call__
    **keywords)
  File "/usr/lib/python2.5/site-packages/dbus/connection.py", line 630, in call_blocking
    message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.AccessDenied: A security policy in place prevents this sender from sending this message to this recipient, see message bus configuration file (rejected message had interface "org.fedoraproject.Config.Services.ServiceHerder" member "list_services" error name "(unset)" destination ":1.114")
[marek@m4300 Desktop]$
Comment 20 Richard Hughes 2008-12-08 09:16:11 EST
*** Bug 475196 has been marked as a duplicate of this bug. ***
Comment 21 Martí­n Marqués 2008-12-08 09:19:47 EST
Updated PackageKit with the scr.rpm from koji and I still see the error:

# rpm -qa | grep Package
PackageKit-yum-0.3.10-3.fc9.x86_64
PackageKit-udev-helper-0.3.10-3.fc9.x86_64
PackageKit-yum-plugin-0.3.10-3.fc9.x86_64
PackageKit-0.3.10-3.fc9.x86_64
PackageKit-glib-0.3.10-3.fc9.x86_64


# yum remove xulrunner-devel                                                                                                 
Loaded plugins: downloadonly, fastestmirror, priorities, refresh-packagekit                                                                       
Setting up Remove Process                                                                                                                         
Loading mirror speeds from cached hostfile                                                                                                        
 * livna: rpm.livna.org                                                                                                                           
 * rpmfusion-nonfree-updates: ftp.nb.lug.ro                                                                                                       
 * fedora: fedora.patan.com.ar                                                                                                                    
 * rpmfusion-free-updates: ftp.nb.lug.ro                                                                                                          
 * rpmfusion-free: ftp.nb.lug.ro                                                                                                                  
 * updates-newkey: redhat.linux.ee                                                                                                                
 * updates: fedora.patan.com.ar                                                                                                                   
 * rpmfusion-nonfree: ftp.nb.lug.ro                                                                                                               
0 packages excluded due to repository priority protections                                                                                        
Resolving Dependencies                                                                                                                            
--> Running transaction check                                                                                                                     
---> Package xulrunner-devel.x86_64 0:1.9.0.4-1.fc9 set to be erased                                                                              
--> Finished Dependency Resolution                                                                                                                

Dependencies Resolved

================================================================================
 Package               Arch         Version             Repository        Size  
================================================================================
Removing:                                                                       
 xulrunner-devel       x86_64       1.9.0.4-1.fc9       installed          35 M 

Transaction Summary
================================================================================
Install      0 Package(s)                                                       
Update       0 Package(s)                                                       
Remove       1 Package(s)                                                       

Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Erasing        : xulrunner-devel                                   [1/1]
ERROR:dbus.proxies:Introspect error on :1.20:/org/freedesktop/PackageKit: dbus.exceptions.DBusException: org.freedesktop.DBus.Error.AccessDenied:A security policy in place prevents this sender from sending this message to this recipient, see message bus configuration file (rejected messagehad interface "org.freedesktop.DBus.Introspectable" member "Introspect" error name "(unset)" destination ":1.20")

Removed: xulrunner-devel.x86_64 0:1.9.0.4-1.fc9
Complete!
Comment 22 Richard Hughes 2008-12-08 10:24:03 EST
(In reply to comment #21)
> Updated PackageKit with the scr.rpm from koji and I still see the error:

Yes, I'm now waiting for a fixed DBus package with introspection allowed.
Comment 23 Martí­n Marqués 2008-12-08 10:32:15 EST
Richard, with the new DBus and this PackageKit everything should go back to normal, right?

Also, one thing I found in the src.rpm is that I lacks gcc-c++ build requirement, which is needed to compile it.
Comment 24 Richard Hughes 2008-12-08 10:43:43 EST
Colin is working upstream with DBus at the moment for an upstream fix. When we've got a new DBus in the repos, it should be back to normal.

I'm not sure about gcc-c++ -- it seems to build in koji okay, so are you sure this isn't in the build root by default?
Comment 25 Richard Hughes 2008-12-08 10:51:27 EST
*** Bug 475160 has been marked as a duplicate of this bug. ***
Comment 26 Martí­n Marqués 2008-12-08 11:26:18 EST
1) Downloaded the src.rpm
2) Installed dependencies missing when trying to build with rpmbuild --rebuild
3) rpmbuild --rebuild starts the proceses, un packs the tar.bz2 starts compiling with gcc and dies when trying to compile with g++:

source='client.cpp' object='client.lo' libtool=yes \                                                                                              
        DEPDIR=.deps depmode=none /bin/sh ../../../depcomp \                                                                                      
        /bin/sh ../../../libtool --tag=CXX   --mode=compile g++ -DHAVE_CONFIG_H -I. -I../../.. -DQT_SHARED -I/usr/include/QtCore   -DQT_SHARED -I/usr/include/QtDBus   -I/usr/include/PolicyKit -I/usr/include/dbus-1.0 -I/usr/lib64/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include   -DPACKAGE_LOCALE_DIR=\""/usr/share/locale"\"  -Wcast-align -Wno-uninitialized -Wall -Wreturn-type -Werror -DG_DISABLE_SINGLE_INCLUDES -DGTK_DISABLE_SINGLE_INCLUDES -DG_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED -DGDK_DISABLE_DEPRECATED -DGDK_MULTIHEAD_SAFE -DGTK_MULTIHEAD_SAFE  -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic -c -o client.lo client.cpp  
source='clientprivate.cpp' object='clientprivate.lo' libtool=yes \                                                                                
        DEPDIR=.deps depmode=none /bin/sh ../../../depcomp \                                                                                      
        /bin/sh ../../../libtool --tag=CXX   --mode=compile g++ -DHAVE_CONFIG_H -I. -I../../.. -DQT_SHARED -I/usr/include/QtCore   -DQT_SHARED -I/usr/include/QtDBus   -I/usr/include/PolicyKit -I/usr/include/dbus-1.0 -I/usr/lib64/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include   -DPACKAGE_LOCALE_DIR=\""/usr/share/locale"\"  -Wcast-align -Wno-uninitialized -Wall -Wreturn-type -Werror -DG_DISABLE_SINGLE_INCLUDES -DGTK_DISABLE_SINGLE_INCLUDES -DG_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED -DGDK_DISABLE_DEPRECATED -DGDK_MULTIHEAD_SAFE -DGTK_MULTIHEAD_SAFE  -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic -c -o clientprivate.lo clientprivate.cpp                                                                                                                                      
libtool: ignoring unknown tag CXX                                                                                                                 
libtool: ignoring unknown tag CXX                                                                                                                 
mkdir .libs                                                                                                                                       
 g++ -DHAVE_CONFIG_H -I. -I../../.. -DQT_SHARED -I/usr/include/QtCore -DQT_SHARED -I/usr/include/QtDBus -I/usr/include/PolicyKit -I/usr/include/dbus-1.0 -I/usr/lib64/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -DPACKAGE_LOCALE_DIR=\"/usr/share/locale\" -Wcast-align -Wno-uninitialized -Wall -Wreturn-type -Werror -DG_DISABLE_SINGLE_INCLUDES -DGTK_DISABLE_SINGLE_INCLUDES -DG_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED -DGDK_DISABLE_DEPRECATED -DGDK_MULTIHEAD_SAFE -DGTK_MULTIHEAD_SAFE -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic -c client.cpp  -fPIC -DPIC -o .libs/client.o                                                     
../../../libtool: line 1315: g++: command not found                                                                                               
make[4]: *** [client.lo] Error 1


Installing gcc-c++ solves the problem.
Comment 27 Julian Sikorski 2008-12-08 12:30:17 EST
gcc-c++ is in the default buildroot, afaik yum install buildsys-build or something similar installs all the required tools.
Comment 28 Cory 2008-12-08 15:27:22 EST
I seem to be in some sort of dependency loop.

rpm -Uv PackageKit-0.3.11-4.fc10.x86_64.rpm 
error: Failed dependencies:
	PackageKit-glib = 0.3.11-4.fc10 is needed by PackageKit-0.3.11-4.fc10.x86_64
	PackageKit-udev-helper = 0.3.11-4.fc10 is needed by PackageKit-0.3.11-4.fc10.x86_64
	PackageKit-yum = 0.3.11-4.fc10 is needed by PackageKit-0.3.11-4.fc10.x86_64
	PackageKit-yum-plugin = 0.3.11-4.fc10 is needed by PackageKit-0.3.11-4.fc10.x86_64
	comps-extras is needed by PackageKit-0.3.11-4.fc10.x86_64
	libpackagekit-glib.so.11()(64bit) is needed by PackageKit-0.3.11-4.fc10.x86_64
	python-sqlite2 is needed by PackageKit-0.3.11-4.fc10.x86_64
	PackageKit = 0.2.5-1.fc9 is needed by (installed) PackageKit-libs-0.2.5-1.fc9.x86_64


rpm -Uv PackageKit-glib-0.3.11-4.fc10.x86_64.rpm 
error: Failed dependencies:
	PackageKit = 0.3.11-4.fc10 is needed by PackageKit-glib-0.3.11-4.fc10.x86_64
	libpackagekit.so.4()(64bit) is needed by (installed) gnome-packagekit-0.2.5-2.fc9.x86_64
	libpackagekit.so.4()(64bit) is needed by (installed) PackageKit-0.2.5-1.fc9.x86_64
	PackageKit-libs = 0.2.5-1.fc9 is needed by (installed) PackageKit-0.2.5-1.fc9.x86_64

Help?
Comment 29 Martí­n Marqués 2008-12-08 15:57:50 EST
I had the same problem. Solution: uninstall old PackageKit with deps and install the new version.
Comment 30 Richard Hughes 2008-12-08 16:18:13 EST
*** Bug 475256 has been marked as a duplicate of this bug. ***
Comment 31 Richard Hughes 2008-12-08 16:18:30 EST
*** Bug 475253 has been marked as a duplicate of this bug. ***
Comment 32 Richard Hughes 2008-12-08 16:19:03 EST
*** Bug 475280 has been marked as a duplicate of this bug. ***
Comment 33 Jon Foster 2008-12-08 16:21:42 EST
I hope we're not being overly complicated in our solution, but it seems very strange that after I did a security update for the dbus package that this solution as described here (http://bugs.freedesktop.org/show_bug.cgi?id=18931), which simply added one line to a configuration file, solved my problem, which is the same problem as described by Juan Antonio, except that I am on Fedora 9.
Comment 34 John Murphy 2008-12-08 17:28:45 EST
(In reply to comment #33)
> as described here (http://bugs.freedesktop.org/show_bug.cgi?id=18931),
> which simply added one line to a configuration file, solved my problem

on one of my systems, F10-64, I tried this... now System->Administration->Add/Remove Software simply tries to start for about 10 sec then gives up, whereas before making this change it opened the gui and you just could not do anything without the aforementioned error.

Similarly if I try Update System.

if I look in xsession-errors I can see what I _think_ is gpk-application or gpk-update-viewer (?) getting a Gtk-CRITICAL and failing to create a window or something.

Anyway, I am a noob, took me an hour to figure out how to use vim then tried gedit and got it done. But I have no business trying to do this to my poor machines. I clearly picked the wrong day to load fedora. I will change the file back the way it was and see what the bug-fixers come up with.
Comment 35 John Murphy 2008-12-08 17:34:49 EST
Status:  	 CLOSED NEXTRELEASE
Version: 	10
Platform: 	i686 Linux
Priority: 	low Severity: urgent 

(a) closed next release? you gotta be kidding me! what about the folks like me that can barely figure out how to edit a root file let alone manage packages without a working graphical package manager!
(b) version seems as tho 9 also has this issue?
(c) I am running a x85_64 and a i686 so this applies to more than just the i686 platform.
(d) priority: low - see above
Comment 36 Julian Sikorski 2008-12-08 17:48:22 EST
yum update seems to do the trick here, and the error mentioned in comment #21 probably comes from old version of yum refresh-packagekit plugin being active at that moment.
Comment 37 Amir Hedayaty 2008-12-08 17:59:16 EST
ooops, tried to solve the dependency, I removed the gnome-packagekit. I can not install it now by yum because of dependency problem. Please update gnome-packagekit as well on the repository.
Comment 38 John Murphy 2008-12-08 18:01:21 EST
did the one-liner
restarted my system (you should tell noobs liuke me to do this when needed)
did yum update

now Add/Remove can update its package lists

thank you
Comment 39 Jon Foster 2008-12-08 18:13:56 EST
(In reply to comment #38)
> did the one-liner
> restarted my system (you should tell noobs liuke me to do this when needed)
> did yum update
> 
> now Add/Remove can update its package lists
> 
> thank you

Sorry, good point, an assumption on my part.  Any time you change a "conf" file in Linux, you can usually just restart the affected service (daemon), but sometimes it's just easier to reboot, which is what I did, because I wanted to see how the GNOME PackageKit Update Applet responded.
Comment 40 Cory 2008-12-08 18:21:03 EST
As of this time it looks like you can

yum clear all
yum check-update
yum update
reboot

and the problem is resolved.
Comment 41 Amir Hedayaty 2008-12-08 18:28:37 EST
It does not still work for 64bit version. Please update the gnome-pacakgekit! It wants to use the older PackageKit-glib.

# sudo yum install gnome-packagekit
Loaded plugins: refresh-packagekit
Setting up Install Process
Parsing package install arguments
Resolving Dependencies
--> Running transaction check
---> Package gnome-packagekit.x86_64 0:0.3.9-8.fc10 set to be updated
--> Processing Dependency: libpackagekit-glib.so.10()(64bit) for package: gnome-packagekit
--> Finished Dependency Resolution
gnome-packagekit-0.3.9-8.fc10.x86_64 from fedora has depsolving problems
  --> Missing Dependency: libpackagekit-glib.so.10()(64bit) is needed by package gnome-packagekit-0.3.9-8.fc10.x86_64 (fedora)
Error: Missing Dependency: libpackagekit-glib.so.10()(64bit) is needed by package gnome-packagekit-0.3.9-8.fc10.x86_64 (fedora)
Comment 42 brad 2008-12-08 19:39:32 EST
I just tried
yum clean all
yum check-update
yum update
reboot

[root@dblehamer2 ~]# yum clean all
Loaded plugins: refresh-packagekit
Cleaning up Everything
[root@dblehamer2 ~]# yum check-update
Loaded plugins: refresh-packagekit
adobe-linux-i386                                                                               |  951 B     00:00
adobe-linux-i386/primary                                                                       |  10 kB     00:00
adobe-linux-i386                                                                                                17/17
[root@dblehamer2 ~]# yum update
Loaded plugins: refresh-packagekit
Setting up Update Process
No Packages marked for Update
[root@dblehamer2 ~]# reboot

Add or update software I receive the following


add software

failed to get a TID: A security policy in place prevents this sender from sending this message to this recipient, see message bus configuration file (rejected message had interface "org.freedesktop.PackageKit.Transaction" member "SetLocale" error name "(unset)" destination "org.freedesktop.PackageKit") (0)

update system

failed to get a TID: A security policy in place prevents this sender from sending this message to this recipient, see message bus configuration file (rejected message had interface "org.freedesktop.PackageKit.Transaction" member "SetLocale" error name "(unset)" destination "org.freedesktop.PackageKit") (0)

Brad - having /Colorado/
Comment 43 Edgar Hoch 2008-12-08 20:06:43 EST
I also tried
yum clean all
yum check-update
yum update

then the messages of "yum update" are:

Loaded plugins: allowdowngrade, changelog, dellsysidplugin, downloadonly, fastestmirror,
              : fedorakmod, kernel-module, keys, list-data, merge-conf, presto,
              : priorities, protectbase, refresh-packagekit, refresh-updatesd, security,
              : tmprepo, verify, versionlock
Setting up and reading Presto delta metadata
No Presto metadata available for fedora
No Presto metadata available for rpmfusion-free-updates
No Presto metadata available for rpmfusion-free
No Presto metadata available for adobe-linux-i386
No Presto metadata available for rpmfusion-nonfree-updates
No Presto metadata available for updates
No Presto metadata available for rpmfusion-nonfree
Loading mirror speeds from cached hostfile
 * fedora: sunsite.informatik.rwth-aachen.de
 * rpmfusion-free-updates: fedora.tu-chemnitz.de
 * rpmfusion-free: fedora.tu-chemnitz.de
 * rpmfusion-nonfree-updates: fedora.tu-chemnitz.de
 * updates: sunsite.informatik.rwth-aachen.de
 * rpmfusion-nonfree: fedora.tu-chemnitz.de
0 packages excluded due to repository protections
Skipping security plugin, no data
Reading version lock configuration
Setting up Update Process
Resolving Dependencies
Skipping security plugin, no data
--> Running transaction check
---> Package PackageKit-yum-plugin.x86_64 0:0.3.11-4.fc10 set to be updated
--> Processing Dependency: libpackagekit-glib.so.10()(64bit) for package: gnome-packagekit
--> Processing Dependency: libpackagekit-qt.so.10()(64bit) for package: kpackagekit
---> Package PackageKit-glib.x86_64 0:0.3.11-4.fc10 set to be updated
--> Processing Dependency: libgeos-3.0.1.so()(64bit) for package: qgis
--> Processing Dependency: libgeos-3.0.1.so()(64bit) for package: qgis-python
---> Package gtkmm24.x86_64 0:2.14.3-1.fc10 set to be updated
---> Package PackageKit.x86_64 0:0.3.11-4.fc10 set to be updated
---> Package PackageKit-gstreamer-plugin.x86_64 0:0.3.11-4.fc10 set to be updated
---> Package gnome-settings-daemon.x86_64 0:2.24.1-3.fc10 set to be updated
---> Package PackageKit-qt.x86_64 0:0.3.11-4.fc10 set to be updated
---> Package geos.x86_64 0:3.0.3-1.fc10 set to be updated
---> Package PackageKit-udev-helper.x86_64 0:0.3.11-4.fc10 set to be updated
---> Package PackageKit-yum.x86_64 0:0.3.11-4.fc10 set to be updated
--> Finished Dependency Resolution
qgis-python-0.11.0-3.fc10.x86_64 from installed has depsolving problems
  --> Missing Dependency: libgeos-3.0.1.so()(64bit) is needed by package qgis-python-0.11.0-3.fc10.x86_64 (installed)
kpackagekit-0.3.1-4.fc10.x86_64 from installed has depsolving problems
  --> Missing Dependency: libpackagekit-qt.so.10()(64bit) is needed by package kpackagekit-0.3.1-4.fc10.x86_64 (installed)
gnome-packagekit-0.3.9-8.fc10.x86_64 from installed has depsolving problems
  --> Missing Dependency: libpackagekit-glib.so.10()(64bit) is needed by package gnome-packagekit-0.3.9-8.fc10.x86_64 (installed)
qgis-0.11.0-3.fc10.x86_64 from installed has depsolving problems
  --> Missing Dependency: libgeos-3.0.1.so()(64bit) is needed by package qgis-0.11.0-3.fc10.x86_64 (installed)
Error: Missing Dependency: libpackagekit-glib.so.10()(64bit) is needed by package gnome-packagekit-0.3.9-8.fc10.x86_64 (installed)
Error: Missing Dependency: libgeos-3.0.1.so()(64bit) is needed by package qgis-python-0.11.0-3.fc10.x86_64 (installed)
Error: Missing Dependency: libpackagekit-qt.so.10()(64bit) is needed by package kpackagekit-0.3.1-4.fc10.x86_64 (installed)
Error: Missing Dependency: libgeos-3.0.1.so()(64bit) is needed by package qgis-0.11.0-3.fc10.x86_64 (installed)

and no updates is done...
I also got the dbus error like described above in pervious package installs.

Thanks in advance for fixing the dependencies!
Comment 44 John Murphy 2008-12-08 21:09:41 EST
well, after trying something like this and getting it working again (mind you I also had wireless problems to deal with etc, a real tough install and two machines worth) something happened as I was merrily adding packages to one of my new systems...

[john-murphy@murphy-old-localhost ~]$ su
Password: 
[root@murphy-old-localhost john-murphy]# yum update
Loaded plugins: refresh-packagekit
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package PackageKit.i386 0:0.3.11-4.fc10 set to be updated
--> Processing Dependency: libpackagekit-glib.so.10 for package: gnome-packagekit
---> Package PackageKit-yum.i386 0:0.3.11-4.fc10 set to be updated
---> Package PackageKit-glib.i386 0:0.3.11-4.fc10 set to be updated
---> Package PackageKit-gstreamer-plugin.i386 0:0.3.11-4.fc10 set to be updated
---> Package PackageKit-yum-plugin.i386 0:0.3.11-4.fc10 set to be updated
---> Package PackageKit-udev-helper.i386 0:0.3.11-4.fc10 set to be updated
--> Finished Dependency Resolution
gnome-packagekit-0.3.9-8.fc10.i386 from installed has depsolving problems
  --> Missing Dependency: libpackagekit-glib.so.10 is needed by package gnome-packagekit-0.3.9-8.fc10.i386 (installed)
Error: Missing Dependency: libpackagekit-glib.so.10 is needed by package gnome-packagekit-0.3.9-8.fc10.i386 (installed)
[root@murphy-old-localhost john-murphy]# yum install libpackagekit-glib.so.10
Loaded plugins: refresh-packagekit
Setting up Install Process
Parsing package install arguments
Package PackageKit-glib-0.3.9-4.fc10.i386 already installed and latest version
Nothing to do
[root@murphy-old-localhost john-murphy]# 

So now I am not really able to do much of anything, many of the packages which seemed to install correctly crash, ones like eclipse or thunderbird that really should be pretty solid, and I am at a point where packages install in the add/remove gui but then show up as not installed. plus the above dependency issue.
Comment 45 Thomas Pifer 2008-12-08 22:01:11 EST
gnome-packagekit-0.3.11-3.fc10 still needs to hit the repos in order for this problem to be completely fixed.  (This solves the Missing Dependency: libpackagekit-glib.so.10).  You can manually download it from here: http://koji.fedoraproject.org/koji/buildinfo?buildID=72465
Comment 46 RR 2008-12-09 02:47:03 EST
Not only gnome-packagekit. 
For kpackagekit.i386 is still Missing Dependency:
libpackagekit-qt.so.10

# rpm -qa | grep Package
PackageKit-qt-0.3.11-4.fc10.i386

# yum install kpackagekit
Resolving Dependencies
--> Running transaction check
---> Package kpackagekit.i386 0:0.3.1-4.fc10 set to be updated
--> Processing Dependency: libpackagekit-qt.so.10 for package: kpackagekit
--> Finished Dependency Resolution
kpackagekit-0.3.1-4.fc10.i386 from installed has depsolving problems
  --> Missing Dependency: libpackagekit-qt.so.10 is needed by package kpackagekit-0.3.1-4.fc10.i386 (installed)


Regards
Comment 47 Richard Hughes 2008-12-09 03:25:24 EST
I've built this update, just waiting for it to get pushed: http://admin.fedoraproject.org/updates/PackageKit-0.3.12-1.fc10,gnome-packagekit-0.3.12-1.fc10,kpackagekit-0.3.1-9.fc10
Comment 48 Ian Amess 2008-12-09 03:38:50 EST
If I'm missing the point then apologies in advance, but isn't the root casuse of this problem the update to DBus/PolicyKit? Wouldn't it be a better use of resource to concentrate on this issue rather than producing package after package to solve just one problem ( and possibly causing others)?

If the change to PolicyKit authorisations is a hard one to fix then why not regress the change so that we can all have our systems working again?
Comment 49 Richard Hughes 2008-12-09 04:44:43 EST
Ian, the updated DBus package changes the defaults. This means we have to "punch holes" in the default policy now, when it used to just work.
Comment 50 Brian Morrison 2008-12-09 05:30:31 EST
The next time this sort of thing happens, better coordination between the packagers of the various packages would make a lot of sense.

I imagine a lot of people will have systems in a state where Update System is not working and they don't have the knowledge to recover from that state, and it isn't going to happen automatically now is it?

Surely the correct course of action would be to push all the needed new packages to the repositories simultaneously?

What with the DNS IP v4/v6 lookup problems with F10, this is looking as if no one thought things through and that updates-testing is not providing enough feedback to be useful.

How about a "recommended for critical testing" resource so that those of us that are prepared to push the envelope a bit can concentrate on the potential system-breaking packages and try to avoid these sort of problems making it to updates?
Comment 51 Richard Hughes 2008-12-09 07:29:11 EST
Brian, yes, the dbus update was meant to go into updates-testing, but Colin pushed it directly into stable. This wasn't the way it was meant to have worked.
Comment 52 Pramod Dematagoda 2008-12-09 07:57:49 EST
This update has affected Fedora 9 pretty drastically as well, now, PackageKit does not work unless the configuration file is edited as mentioned in the freedesktop.org bug report, gnome-power-manager can no longer change computer speed policies(already filed a bug on that, but no response yet), and something I just found out, the bluetooth applet has lost the ability to keep track of connected devices, running services and active adapters(in short, it has lost communication totally). 

Shall I file another bug report for the bluetooth applet or keep it here since the problems are related?
Comment 53 Filip Bartmann 2008-12-09 08:05:06 EST
And how it is other packages fixed to work with new DBus, such as KDE logout dialog(missing PowerOff/Reboot buttons) or system-config-... apps?
Comment 54 Ian Amess 2008-12-09 08:11:11 EST
When your in a hole stop digging! Will someone please get a grip on this, if
the policykit package was supposed to be pushed to testing before stable then regress the change! Create an updated package from the old source and push it out asap! Give people time to test the new security rather than have this PR disaster for what is basically a very good product.
Comment 55 Richard Hughes 2008-12-09 08:19:47 EST
Ian, the DBus update has caused the problems. PolicyKit is just another product affected. I agree the update was handled badly, but it's not up to me as I'm not the DBus maintainer.
Comment 56 Ian Amess 2008-12-09 08:36:41 EST
Ok I stand corrected, however, its seems to me that we need some better co-ordination here! If I was to introduce a change without it being tested properly in my Company I would be rightly sacked at once, if it caused the problems this DBus change has. There are a myriad of packages that use the old DBUS policy that will now not work! Surely someone within the Project can make a decision to regress the latest DBus change and get this problem sorted.

I spend a great deal of time in my Company promoting the use of Linux and Fedora/Redhat in particular as an alternative to more costly OS's, this farce does not help my case!
Comment 57 Christopher D. Stover 2008-12-09 10:05:06 EST
*** Bug 475363 has been marked as a duplicate of this bug. ***
Comment 58 Richard Hughes 2008-12-09 11:41:03 EST
*** Bug 475395 has been marked as a duplicate of this bug. ***
Comment 59 David 2008-12-09 16:13:33 EST
There is a new dbus built in koji.

http://koji.fedoraproject.org/koji/buildinfo?buildID=74040
Comment 60 markm 2008-12-09 16:36:48 EST
I am just trying to update my system and what I get is:

--> Finished Dependency Resolution
gnome-packagekit-0.3.9-8.fc10.i386 from installed has depsolving problems
  --> Missing Dependency: libpackagekit-glib.so.10 is needed by package gnome-packagekit-0.3.9-8.fc10.i386 (installed)
Error: Missing Dependency: libpackagekit-glib.so.10 is needed by package gnome-packagekit-0.3.9-8.fc10.i386 (installed)

is this nightmare going to be resolved?
Comment 61 Dagan McGregor 2008-12-09 17:17:23 EST
(In reply to comment #47)
> I've built this update, just waiting for it to get pushed:
> http://admin.fedoraproject.org/updates/PackageKit-0.3.12-1.fc10,gnome-packagekit-0.3.12-1.fc10,kpackagekit-0.3.1-9.fc10

 Installing these packages manually fixed the dbus errors on the CLI. Updates now work reliably again from CLI ('yum update' or 'yum install'). but not UI

 I used updated PackageKit and gnome-packagekit packages and installed manually on F10, and the errors stopped.

Fedora 10 i386 install
Steps to reproduce:
1) wget each of the packages required.
2) yum clean all
3) yum check-update (may not be required?)
4) yum remove PackageKit (also removes dependancies)
5) rpm -Uvh PackageKit-0.3.12-1.fc10.i386.rpm PackageKit-glib-0.3.12-1.fc10.i386.rpm PackageKit-udev-helper-0.3.12-1.fc10.i386.rpm PackageKit-yum-0.3.12-1.fc10.i386.rpm PackageKit-yum-plugin-0.3.12-1.fc10.i386.rpm
6) rpm -Uvh gnome-packagekit-0.3.12-1.fc10.i386.rpm gnome-packagekit-extra-0.3.12-1.fc10.i386.rpm 
7) yum update

 Now, when using 'Update System' UI, the UI returns a blank list of packages for updating, and the UI won't exit when using the 'Close' button. So effectively, the updates fix the dbus messages, but gnome-packagekit doesn't appear to be working.
Comment 62 Christoph Walter 2008-12-10 03:20:27 EST
(In reply to comment #56)
> I spend a great deal of time in my Company promoting the use of Linux and
> Fedora/Redhat in particular as an alternative to more costly OS's, this farce
> does not help my case!

signed
Comment 63 Richard Hughes 2008-12-10 04:03:58 EST
*** Bug 475734 has been marked as a duplicate of this bug. ***
Comment 64 Richard Hughes 2008-12-10 04:04:22 EST
*** Bug 475354 has been marked as a duplicate of this bug. ***
Comment 65 Richard Hughes 2008-12-10 04:04:57 EST
*** Bug 475713 has been marked as a duplicate of this bug. ***
Comment 66 Richard Hughes 2008-12-10 07:16:35 EST
*** Bug 475763 has been marked as a duplicate of this bug. ***
Comment 67 pelle2004 2008-12-10 07:35:01 EST
This bug is CLOSED NEXTRELEASE
Will the solution be push downstream by yum.
What is the status?
Comment 68 Steven Oliphant 2008-12-10 10:20:34 EST
Please pardon my lack of knowledge.

I would like to perform the steps in Comment 61 - but I have not found where I can wget or ftp all of the packages mentioned.  Please advise.

Do I need to update either:
 /etc/dbus-1/system.d/org.freedesktop.PolicyKit.conf
or
 /etc/dbus-1/system.conf

both are currently at the original values.



Thanks for the help.
Comment 69 Brian Morrison 2008-12-10 10:34:07 EST
Until the repository mirrors sync after the packages are pushed to updates, look here:

http://koji.fedoraproject.org/koji/packageinfo?packageID=5206

You may need to move up the hierarchy to get the various packages, the gnome-packagekit one won't be with PackageKit.

Take care with this approach, it probably doesn't fix everything as it seems that dbus is going through major changes and a lot of other packages need to change to fit in.

This really should not have gone to updates yet!
Comment 70 kevin.t.bowen 2008-12-11 00:20:08 EST
I understand this is free software and nobody owes me anything, but just from the standpoint of trying to understand better what's going on, I really don't get how a situation like this could be allowed to have persisted for this long, or why it isn't being treated as an urgent matter. I've been using Fedora since... well since before Fedora... RedHat 6 era, and this is the first time I've ever seen a core system component get broken and remain unfixed for days at a time, with no communication with the community on the issue. This is not some random package, it's basically the entire distro that's broken - there needs to be some kind of notice on the web site informing people of the issue, pointing them to fixes, etc, or better yet, revert the change, as has been suggested by others... is it not possible to push out a downgrade via yum? If not, how about playing around with verion numbers to get the revert pushed out looking like an update? Regardless of the details, this needs to get fixed quick. Fedora is pretty much the public face of Linux to the outside world - having the mainline, stable branch be broken for days at a time, without even an ETA on a fix, doesn't look good for any of us. If Windows Update pulled down a patch that broke Vista, we would all be laughing our asses off...
Comment 71 Richard Hughes 2008-12-11 07:09:15 EST
*** Bug 475975 has been marked as a duplicate of this bug. ***
Comment 72 Scott Mcdermott 2008-12-11 09:46:52 EST
Do I understand correctly that this bug will be or has been fixed automatically in F10, but FC9 users are being told that the fix is to upgrade to FC10?
Comment 73 Scott Mcdermott 2008-12-11 09:50:55 EST
I should point out, that I (as an F9 user) do not seem to have any problems caused by this error.  It occurs every time I "yum update" but doesn't prevent the update from working, and as someone that does not use any dbus tools and barely enters a GUI, it seems so far to be a harmless, nominal error.
Comment 74 Richard Hughes 2008-12-11 10:33:11 EST
*** Bug 475941 has been marked as a duplicate of this bug. ***
Comment 75 Steven Oliphant 2008-12-11 13:29:56 EST
Was able to do a yum update and now problem has been resolved.

Thanks
Comment 76 kevin.t.bowen 2008-12-11 13:54:32 EST
OK, I was a bit harsh last night - pissed off after hours of fruitless troubleshooting - my apologies for the harsh tone... Scott, you're right that if you're a non-GUI user this doesn't really affect you much, so perhaps my description of it as "the entire distro" being broken was a bit exaggerated... but we (the open-source masses) are in a constant battle of trying to convince our pointy-haired-bosses that linux is ready for primetime, that command line hackery, conf file grepping and man page grokking are no longer necessary - everyday sysadmining can be done these days entirely via nice GUI tools.... so when, for example, system-config-services won't load, pointing people to the manpage for chkconfig isn't much consolation. 

I still think there needs to be some visible communication from Fedora officialdom on this issue... if not on the fedoraproject frontpage, at least here, in this bug report. Can someone give an official line on the status of this issue? A lot of people seem to be reading the bug status to mean F9 is wontfix, upgrade to F10 - which I'm sure isn't what was intended (especially since it isn't fixed in F10), but can someone give an official clarification? And a recommendation of which of the workarounds is a better idea? Downgrade dbus? Or do the conf file hack? Which of the two conf files? Are there security implications to doing the conf file hack?
Comment 77 Scott Mcdermott 2008-12-11 15:12:04 EST
I must disagree.  While I concur that what happened is idiotic, I must say, if you are using Fedora at a "company" then you deserve problems.  Companies should not be using RHEL unless they have admins that want to babysit its development.  There is a reason for the `E' in `RHEL'.  Fedora is basically a work in progress and no sane person should think otherwise.  You should deploy it consistent with its release schedule, development policies, quality guarantees (which do not exist), etc.  This means use at your own risk! If your Enterprise cannot afford an Enterprise OS distribution, use a clone.  The Fedora developers are doing the best they can.  It is unfunded software.  The whole reason this can exist without funding is because bugs like this appear here first and therefore will NOT end up in the RHEL product.  Choose the right tool for the job and don't tell your PHB that active development projects are Enterprise-ready.  If you want to do that, it's on you.
Comment 78 Scott Mcdermott 2008-12-11 15:15:25 EST
Need Real Name (Kevin?), sorry, I mistook you for the fellow Ian that posted earlier.  I don't know whether you use Fedora in a business or not.  Nonetheless, my point still stands to those it applies to.
Comment 79 Adrian Reber 2008-12-11 16:06:26 EST
*** Bug 476054 has been marked as a duplicate of this bug. ***
Comment 80 RR 2008-12-12 11:59:34 EST
# yum install kpackagekit
(...)
Installing   : kpackagekit 
Installed:
  kpackagekit.i386 0:0.3.1-9.fc10

Now everything looks OK.
(gnome-packagekit-0.3.12-1.fc10.i386 too)

Thank you very much
Comment 81 Pramod Dematagoda 2008-12-12 21:06:57 EST
Unfortunately things over here at Fedora 9 are pretty much the same where, except for PackageKit, the gnome-power-manager still cannot manage speed policies and the bluetooth applet has no idea about what is going on in the bluetooth system. Is there a bug report like this specifically for Fedora 9, or is this what I should keep looking at?
Comment 82 John Mellor 2008-12-12 22:33:34 EST
Pramod said:
> Is there a bug report like this specifically for Fedora 9

I put 475102 in for the F9 product
Comment 83 dick thompson 2008-12-13 02:10:28 EST
What is the fix for FC10 x64?  From what was noted above the 386 is released but not the x64 unless I missed something in there.
Comment 84 Amir Hedayaty 2008-12-13 02:22:12 EST
There have been several updates after this but the bugs still remain in 64bit platform.

as previously mentioned system-config-services and also system-config-samba, system-config-authentication, system-config-display are completely broken 
also system-config-keyboard, systtem-config-network are partially broken

This is not a small issue I think having most of the fedora config tools + the package-manager (which I have installed it manually) are very serious problem. When someone decides to install linux and asks how is fedora 10, I have to say it is quiet good but do not update it, it will break down your configuration system.

At the release time the most interesting thing on Fedora 10 was the stability this bug has made it one of the most unstable releases ever!
Comment 85 markm 2008-12-13 18:44:07 EST
(In reply to comment #77)
> I must disagree.  While I concur that what happened is idiotic, I must say, if
> you are using Fedora at a "company" then you deserve problems.  Companies
> should not be using RHEL unless they have admins that want to babysit its
> development.  There is a reason for the `E' in `RHEL'.  Fedora is basically a
> work in progress and no sane person should think otherwise.  You should deploy
> it consistent with its release schedule, development policies, quality
> guarantees (which do not exist), etc.  This means use at your own risk! If your
> Enterprise cannot afford an Enterprise OS distribution, use a clone.  The
> Fedora developers are doing the best they can.  It is unfunded software.  The
> whole reason this can exist without funding is because bugs like this appear
> here first and therefore will NOT end up in the RHEL product.  Choose the right
> tool for the job and don't tell your PHB that active development projects are
> Enterprise-ready.  If you want to do that, it's on you.

In my opinion you are wrong - Fedora has large community of users who cannot afford RHEL but they are valueable to developers, so structural changes like this should be done in rawhide not in newly released Fedora 10. Every time new release of Fedora comes out I think - what will be broken this time? Fedora 10 was the first one which worked out of the box (with couple small issues like no Polish or British English languages to install in anaconda). A rude approach “it's developers distro so you know what you get” will annoy your community and shrink your community. When I read about new features in Fedora 10, many of these features are described as “better user experience” - as of now Fedora is one of the most used Linux distro, so developers should not play with official releases like it happened here.

I know, it might be a stupid human error - some one pushed update directly to “updates” skipping “updates-testing” - it happens - simple “we are sorry, we'll fix that ASAP” would be enough.
Comment 86 brad 2008-12-13 20:43:41 EST
Well  - after trying the updates - editing the file(s) - things just did not work right:  Many things did look much better - but not everything - like the program used to help configure samba.  I guess I learned my lesson and went back to swat for fast and dirty confederation.

I thought I would give fedora core - 10 one more try.  I downloaded the Full DVD for 86-64 and reformatted, upgraded only items I have to get my file server back online.

I thought it odd that the priority was rated as only "low".

Will this problem be resolved in FC 10 - or only on FC11 - not sure if I am understanding the "CLOSED NEXTRELEASE" which means parts of the fixes might "leak" into this release but not a total solution.

How odd  I thought FC 10 was less than 2 months old.  What is the life span of a FC release?  



Brad - - having some fun in Colorado
Comment 87 kevin.t.bowen 2008-12-15 13:54:34 EST
My F9 boxes seem fixed after the last batch of updates, but my F10 (i386) test machine is still having issues - packagekit works now, but system-config-services is still broken. Is anyone from redhat/fedora reading this? There still needs to be clarification that "NEXTRELEASE" doesn't mean F11 - people are getting freaked out when they see that. Also, I still don't understand why we can't just roll back to before the breakage, rather than waiting on each individual app to be fixed to work with the new code - obviously that's the right solution for the long term, but for right now people's boxes are broken, and have been for over a week now - why can't we just revert mainline and do the individual app fixes in rawhide?
Comment 88 Benny 2008-12-17 04:51:45 EST
system-config-services is still not running on many F10 boxes, why is this bug CLOSED NEXTRELEASE, it is still a valid bug, it is still bugging F10.
Comment 89 Filip Bartmann 2008-12-17 05:27:58 EST
And KDE logout dialog not works still too. The buttons for PowerOff/Restart are still missing. When it will be repaired???!!!! It's over week when this problem appears. When it will be completely fixed???!!!!
Comment 90 Andrew Rechenberg 2008-12-17 09:05:27 EST
Not sure if this is the correct bug, but I can't run system-config-display on my F10 box.  Getting a dbus.proxies ERROR.
Comment 91 Brian Morrison 2008-12-18 03:09:38 EST
The problem should now be resolved, the dbus updates have been reverted to 1.2.4-1 in both F9 and F10, reintroducing CVE-2008-4311 while work continues on fixing applications to work with the updated dbus.

So, sanity has prevailed!
Comment 92 Amir Hedayaty 2008-12-20 01:41:22 EST
Thank God! Finally with the new update the bug has been fixed (though some of the config packages have still bugs and they do not start up, but it is not related to this bug)
Comment 93 Brian Morrison 2008-12-20 19:54:34 EST
There is also a tracking bug that collates progress on the various things that broke:

http://bugs.freedesktop.org/show_bug.cgi?id=18980

Probably worth keeping an eye on it to see what's happening.